Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 4724)
+++ /orxonox/trunk/src/Makefile.am	(revision 4725)
@@ -7,4 +7,6 @@
 
 bin_PROGRAMS = orxonox
+
+orxonox_CPPFLAGS = -DIS_ORXONOX
 
 orxonox_DEPENDENCIES = lib/gui/libORXgui.a \
Index: /orxonox/trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4724)
+++ /orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4725)
@@ -26,4 +26,7 @@
 
 using namespace std;
+
+
+CREATE_FACTORY(ParticleEmitter);
 
 
@@ -94,4 +97,7 @@
   LoadParam<ParticleEmitter>(root, "emission-velocity", this, &ParticleEmitter::setEmissionVelocity)
     .describe("How fast the particles are emittet (their initial speed)");
+
+  LoadParam<ParticleEmitter>(root, "emission-momentum", this, &ParticleEmitter::setEmissionMomentum)
+      .describe("How fast the particles rotation is at emissiontime (their initial momentum)");
 
   LoadParam<ParticleEmitter>(root, "spread", this, &ParticleEmitter::setSpread)
Index: /orxonox/trunk/src/lib/particles/particle_system.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4724)
+++ /orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4725)
@@ -30,4 +30,7 @@
 #include "tinyxml.h"
 
+CREATE_FACTORY(ParticleSystem);
+
+
 using namespace std;
 
@@ -52,4 +55,5 @@
 {
   this->init();
+
   this->loadParams(root);
 }
@@ -116,14 +120,41 @@
 
   //LoadParam<ParticleSystem>(root, "type", this, &ParticleSystem::setType);
-  LoadParam<ParticleSystem>(root, "life-span", this, &ParticleSystem::setLifeSpan);
-  LoadParam<ParticleSystem>(root, "conserve", this, &ParticleSystem::setConserve);
-//   void setLifeSpan(float lifeSpan, float randomLifeSpan = 0.0);
-//   void setConserve(float conserve);
-//
-//   /* Per-Particle-Attributes */
-//   void setRadius(float lifeCycleTime, float radius, float randRadius = 0.0);
-//   void setMass(float lifeCycleTime, float mass, float randMass = 0.0);
-//   void setColor(float lifeCycleTime, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
-
+  LoadParam<ParticleSystem>(root, "life-span", this, &ParticleSystem::setLifeSpan)
+      .describe("sets the life-span of the Particles.");
+
+  LoadParam<ParticleSystem>(root, "conserve", this, &ParticleSystem::setConserve)
+      .describe("sets the Conserve facrot of the Particles (1.0: they keep all their energy, 0.0:they keep no energy)");
+
+  LoadParam<ParticleSystem>(root, "type", this, &ParticleSystem::setType)
+      .describe("sets the type of the Particles, (DOT, SPARK, SPRITE or MODEL)");
+
+  LoadParam<ParticleSystem>(root, "model", this, &ParticleSystem::setModel)
+      .describe("sets a model to be loaded on top of this System (also sets type to Model)");
+
+  // PER-PARTICLE-ATTRIBUTES:
+  LoadParam<ParticleSystem>(root, "radius", this, &ParticleSystem::setRadius)
+      .describe("The Radius of each particle over time (TimeIndex [0-1], radius at TimeIndex, randomRadius at TimeIndex)");
+
+  LoadParam<ParticleSystem>(root, "mass", this, &ParticleSystem::setMass)
+      .describe("The Mass of each particle over time (TimeIndex: [0-1], mass at TimeIndex, randomMass at TimeIndex)");
+
+  LoadParam<ParticleSystem>(root, "color", this, &ParticleSystem::setColor)
+      .describe("The Color of each particle over time (TimeIndex: [0-1], red: [0-1], green: [0-1], blue: [0-1], alpha: [0-1])");
+}
+/**
+   \param particleType the type of particles in this System
+   \param count how many particles (in PARTICLE_MULTI-mode)
+   \todo this will be different
+*/
+void ParticleSystem::setType(const char* particleType)
+{
+  if (strcmp(particleType, "DOTS"))
+    this->setType(PARTICLE_DOT);
+  else if (strcmp(particleType, "SPARKS"))
+    this->setType(PARTICLE_SPARK);
+  else if (strcmp(particleType, "MODELS"))
+    this->setType(PARTICLE_MODEL);
+  else // if (strcmp(particleType, "SPRITE"))
+    this->setType(PARTICLE_SPRITE);
 }
 
@@ -255,5 +286,5 @@
    \param alpha: alpha
 */
-void ParticleSystem::setColor(float lifeCycleTime, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
+void ParticleSystem::setColor(float lifeCycleTime, float red, float green, float blue, float alpha)
 {
   this->colorAnim[0].changeEntry(lifeCycleTime, red);
Index: /orxonox/trunk/src/lib/particles/particle_system.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.h	(revision 4724)
+++ /orxonox/trunk/src/lib/particles/particle_system.h	(revision 4725)
@@ -76,4 +76,5 @@
   void loadParams(const TiXmlElement* root);
 
+  void setType(const char* particleType);
   void setType(PARTICLE_TYPE particleType, int count = 0);
   void setMaterial(Material* material);
@@ -85,5 +86,5 @@
   void setRadius(float lifeCycleTime, float radius, float randRadius = 0.0);
   void setMass(float lifeCycleTime, float mass, float randMass = 0.0);
-  void setColor(float lifeCycleTime, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
+  void setColor(float lifeCycleTime, float red, float green, float blue, float alpha);
 
   /** \returns the Type of the particles */
@@ -127,5 +128,4 @@
   PARTICLE_TYPE     particleType;        //!< A type for all the Particles
   Material*         material;            //!< A Material for all the Particles.
-  Model*            model;               //!< A Model to be displayed (PARTICLE_MODEL)
   Particle*         particles;           //!< A list of particles of this System.
   Particle*         deadList;            //!< A list of dead Particles in the System.
Index: /orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- /orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4724)
+++ /orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4725)
@@ -33,4 +33,5 @@
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
Index: /orxonox/trunk/src/util/loading/factory.cc
===================================================================
--- /orxonox/trunk/src/util/loading/factory.cc	(revision 4724)
+++ /orxonox/trunk/src/util/loading/factory.cc	(revision 4725)
@@ -84,6 +84,7 @@
 void Factory::initialize()
 {
-  GameLoader* gl = GameLoader::getInstance();
-  gl->registerFactory( this);
+#ifdef IS_ORXONOX
+  GameLoader::getInstance()->registerFactory( this);
+#endif /* IS_ORXONOX */
 }
 
Index: /orxonox/trunk/src/util/loading/load_param.h
===================================================================
--- /orxonox/trunk/src/util/loading/load_param.h	(revision 4724)
+++ /orxonox/trunk/src/util/loading/load_param.h	(revision 4725)
@@ -194,5 +194,5 @@
            void(T::*function)(type1##_TYPE, type2##_TYPE, type3##_TYPE, type4##_TYPE, type5##_TYPE), \
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT, \
-           type4##_TYPE default4 = type4, ##_DEFAULTtype5##_TYPE default5 = type5##_DEFAULT ) \
+           type4##_TYPE default4 = type4##_DEFAULT, type5##_TYPE default5 = type5##_DEFAULT ) \
   : BaseLoadParam(root, pt2Object, paramName, 5, multi, NULL, type1##_NAME, default1, type2##_NAME, default2, type3##_NAME, default3, \
                   type4##_NAME, default4, type5##_NAME, default5) \
@@ -343,4 +343,6 @@
   //! makes functions with four floats loadable
   LoadParam4(l_FLOAT, l_FLOAT, l_FLOAT, l_FLOAT);
+  //! makes functions with four floats loadable
+  LoadParam5(l_FLOAT, l_FLOAT, l_FLOAT, l_FLOAT, l_FLOAT);
 
 
